Bug 813197 - Review Request: python-django-devserver - Drop-in replacement for Django's runserver
Review Request: python-django-devserver - Drop-in replacement for Django's ru...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 04:20 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-07-03 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 08:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-04-17 04:20:18 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/django-devserver/python-django-devserver.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/django-devserver/python-django-devserver-0.3.1-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3997431
Description:

A drop in replacement for Django's built-in runserver command.
Features include:
- An extendable interface for handling things such as real-time logging.
- Integration with the werkzeug interactive debugger.
- Threaded (default) and multi-process development servers.
- Ability to specify a WSGI application as your target environment.
Comment 1 Tomas Radej 2012-04-17 04:21:09 EDT
Taking it.
Comment 2 Tomas Radej 2012-04-24 08:05:05 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[!]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-devserver-0.3.1-1.fc18.src.rpm

python-django-devserver.src: W: spelling-error Summary(en_US) runserver -> run server, run-server, server
python-django-devserver.src: W: spelling-error %description -l en_US runserver -> run server, run-server, server
python-django-devserver.src: W: spelling-error %description -l en_US werkzeug -> westernize
python-django-devserver.src: W: spelling-error %description -l en_US multi -> mulch, mufti
python-django-devserver.src: W: file-size-mismatch LICENSE = 1522, https://raw.github.com/dcramer/django-devserver/master/LICENSE = 1
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


rpmlint python-django-devserver-0.3.1-1.fc18.noarch.rpm

python-django-devserver.noarch: W: spelling-error Summary(en_US) runserver -> run server, run-server, server
python-django-devserver.noarch: W: spelling-error %description -l en_US runserver -> run server, run-server, server
python-django-devserver.noarch: W: spelling-error %description -l en_US werkzeug -> westernize
python-django-devserver.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/tradej/reviews/django-devserver-0.3.1.tar.gz :
  MD5SUM this package     : 3d1a3d6db0de3a2f44a4b6090cfa1f78
  MD5SUM upstream package : 3d1a3d6db0de3a2f44a4b6090cfa1f78
/home/tradej/reviews/LICENSE :
  MD5SUM this package     : 3144dbfcdb5ce5fbb9c92f78655b86be
  MD5SUM upstream package : 3144dbfcdb5ce5fbb9c92f78655b86be

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package contains no bundled libraries.
>>>> The *egg.info folder is not being erased in %prep

Notes:
[!]: MUST Rpmlint output is silent.
>>>> Ignore that

rpmlint python-django-devserver-0.3.1-1.fc18.src.rpm

python-django-devserver.src: W: spelling-error Summary(en_US) runserver -> run server, run-server, server
python-django-devserver.src: W: spelling-error %description -l en_US runserver -> run server, run-server, server
python-django-devserver.src: W: spelling-error %description -l en_US werkzeug -> westernize
python-django-devserver.src: W: spelling-error %description -l en_US multi -> mulch, mufti
python-django-devserver.src: W: file-size-mismatch LICENSE = 1522, https://raw.github.com/dcramer/django-devserver/master/LICENSE = 1
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


rpmlint python-django-devserver-0.3.1-1.fc18.noarch.rpm

python-django-devserver.noarch: W: spelling-error Summary(en_US) runserver -> run server, run-server, server
python-django-devserver.noarch: W: spelling-error %description -l en_US runserver -> run server, run-server, server
python-django-devserver.noarch: W: spelling-error %description -l en_US werkzeug -> westernize
python-django-devserver.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
>>>> Would be nice to have, especially since the github repo contains the
     package with a license file

[!]: The documentation is not being copied
>>>> Would be nice to have


Generated by fedora-review 0.1.3
External plugins:


*** NOT APPROVED ***
Comment 3 Bohuslav "Slavek" Kabrda 2012-04-25 02:51:53 EDT
Ok, here are the modified files:

SPEC: http://bkabrda.fedorapeople.org/pkgs/django-devserver/python-django-devserver.spec
SRPM: http://bkabrda.fedorapeople.org/pkgs/django-devserver/python-django-devserver-0.3.1-2.fc17.src.rpm

I have removed the bundled egg-info directory and I have queried the upstream to include LICENSE in the source distribution [1]. For the time being, I'd leave it as a separate source.

As for the documentation, I'm not quite sure what you are referring to, could you be more specific?

Thanks!

[1] https://github.com/dcramer/django-devserver/issues/58
Comment 4 Tomas Radej 2012-04-25 10:02:36 EDT
Thanks for issuing the bug.

Ad documentation: Sorry, it was my local build, scratch that entirely.

Otherwise, all is fine.

*** APPROVED ***
Comment 5 Bohuslav "Slavek" Kabrda 2012-04-25 10:11:36 EDT
Thanks for your review!

New Package SCM Request
=======================
Package Name: python-django-devserver
Short Description: Drop-in replacement for Django's runserver
Owners: bkabrda
Branches: 
InitialCC:
Comment 6 Gwyn Ciesla 2012-04-25 10:16:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.